ghc-8.0.2: The GHC API

Safe Haskell | None
Language | Haskell2010

RnSplice

Synopsis

- rnTopSpliceDecls :: HsSplice RdrName -> RnM ([LHsDecl RdrName], FreeVars)
- rnSpliceType :: HsSplice RdrName -> PostTc Name Kind -> RnM (HsType Name, FreeVars)
- rnSpliceExpr :: HsSplice RdrName -> RnM (HsExpr Name, FreeVars)
- rnSplicePat :: HsSplice RdrName -> RnM (Either (Pat RdrName) (Pat Name), FreeVars)
- rnSpliceDecl :: SpliceDecl RdrName -> RnM (SpliceDecl Name, FreeVars)
- rnBracket :: HsExpr RdrName -> HsBracket RdrName -> RnM (HsExpr Name, FreeVars)
- checkThLocalName :: Name -> RnM ()
- traceSplice :: SpliceInfo -> TcM ()
- data SpliceInfo = SpliceInfo {
  - spliceDescription :: String
  - spliceSource :: Maybe (LHsExpr Name)
  - spliceIsDecl :: Bool
  - spliceGenerated :: SDoc
  }

# Documentation

rnTopSpliceDecls :: HsSplice RdrName -> RnM ([LHsDecl RdrName], FreeVars) Source #

rnSpliceType :: HsSplice RdrName -> PostTc Name Kind -> RnM (HsType Name, FreeVars) Source #

rnSpliceExpr :: HsSplice RdrName -> RnM (HsExpr Name, FreeVars) Source #

rnSplicePat :: HsSplice RdrName -> RnM (Either (Pat RdrName) (Pat Name), FreeVars) Source #

Rename a splice pattern. See Note [rnSplicePat]

rnSpliceDecl :: SpliceDecl RdrName -> RnM (SpliceDecl Name, FreeVars) Source #

rnBracket :: HsExpr RdrName -> HsBracket RdrName -> RnM (HsExpr Name, FreeVars) Source #

checkThLocalName :: Name -> RnM () Source #

traceSplice :: SpliceInfo -> TcM () Source #

outputs splice information for 2 flags which have different output formats: `-ddump-splices` and `-dth-dec-file`

data SpliceInfo Source #

The splice data to be logged

Constructors

SpliceInfo |
Fields spliceDescription :: String spliceSource :: Maybe (LHsExpr Name) spliceIsDecl :: Bool spliceGenerated :: SDoc